package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class DicAccidentDegree {
    public static final String SLIGHTDEGREE = "轻伤事故";
    public static final String GENERALDEGREE = "一般事故";
    public static final String SERIOUSDEGREE = "特大事故";


    private static DicAccidentDegree instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicAccidentDegree(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(SLIGHTDEGREE, SLIGHTDEGREE);
        dicMap.put(GENERALDEGREE, GENERALDEGREE);
        dicMap.put(SERIOUSDEGREE, SERIOUSDEGREE);
    }

    public static DicAccidentDegree getInstacne(){
        if (instance == null)
        {
            instance = new DicAccidentDegree();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
